noinst_LIBRARIES=libevp.a
INCLUDES=-I$(top_srcdir)/crypto

libevp_a_SOURCES=bio_b64.c bio_enc.c bio_md.c c_all.c digest.c e_cbc_3d.c \
	e_cbc_bf.c e_cbc_d.c e_cbc_i.c e_cbc_r2.c e_cfb_3d.c e_cfb_bf.c \
	e_cfb_d.c e_cfb_i.c e_cfb_r2.c e_ecb_3d.c e_ecb_bf.c e_ecb_d.c \
	e_ecb_i.c e_ecb_r2.c e_null.c e_ofb_3d.c e_ofb_bf.c e_ofb_d.c \
	e_ofb_i.c e_ofb_r2.c e_rc4.c e_xcbc_d.c encode.c evp_enc.c evp_err.c \
	evp_key.c m_dss.c m_dss1.c m_md2.c m_md5.c m_mdc2.c m_null.c m_sha.c \
	m_sha1.c names.c p_lib.c p_open.c p_seal.c p_sign.c p_verify.c

EXTRA_DIST=Makefile.ssl e_dsa.c evp.err evp.h

errors evp_err.c evp.h: evp.err
	perl $(top_srcdir)/util/err-ins.pl evp.err evp.h
	perl $(top_srcdir)/crypto/err/err_genc.pl evp.h evp_err.c
